DCMTK: IODCommonInstanceReferenceModule::StudiesOtherInstancesItem Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | Static Private Attributes | List of all members
IODCommonInstanceReferenceModule::StudiesOtherInstancesItem Class Reference

Class representing items from the Studies Containing Other Referenced Instances Sequence, as used within the Common Instance Reference Module. More...

Inheritance diagram for IODCommonInstanceReferenceModule::StudiesOtherInstancesItem:

## Public Member Functions
| StudiesOtherInstancesItem (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| StudiesOtherInstancesItem (IODComponent *parent=NULL)
| Constructor.
virtual | ~StudiesOtherInstancesItem ()
| Destructor.
virtual void | clearData ()
| Clear (removes) all attributes handled by the modules of this component.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read data from source item into this module.
virtual OFCondition | write (DcmItem &destination)
| Write this module's data into given destination item.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module ("StudiesContainingOtherReferencedInstancesSequence")
virtual OFCondition | getStudyInstanceUID (OFString &value, const signed long pos=0) const
| Get Study Instance UID.
virtual OFCondition | setStudyInstanceUID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Study Instance UID.
virtual IODSeriesAndInstanceReferenceMacro & | getReferencedSeriesAndInstanceReferences ()
| Get Series And Instance Reference Macro.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Private Attributes
IODSeriesAndInstanceReferenceMacro | m_ReferencedSeriesAndInstance
| The Series and Instance Reference Macro used in this item.

## Static Private Attributes
static const OFString | m_ComponentName
| The name of this component ("StudiesContainingOtherReferencedInstancesSequence")

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing items from the Studies Containing Other Referenced Instances Sequence, as used within the Common Instance Reference Module.

Studies Containing Other Referenced Instances Sequence: (SQ, 1-n, 1C)

> Study Instance UID (UI, 1, 1) Series and Instance Reference Macro

## Constructor & Destructor Documentation

## ◆ StudiesOtherInstancesItem() [1/2]

IODCommonInstanceReferenceModule::StudiesOtherInstancesItem::StudiesOtherInstancesItem | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules,
|  | IODComponent * | parent = NULL )

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.
  parent | The parent of the IOD component (NULL if none or unknown)

References IODComponent::IODComponent().

## ◆ StudiesOtherInstancesItem() [2/2]

IODCommonInstanceReferenceModule::StudiesOtherInstancesItem::StudiesOtherInstancesItem | ( | IODComponent * | parent = NULL | ) |

Constructor.

Parameters

  parent | The parent component of this module, might be NULL

References IODComponent::IODComponent().

## Member Function Documentation

## ◆ clearData()

virtual void IODCommonInstanceReferenceModule::StudiesOtherInstancesItem::clearData | ( |  | ) |
| virtual

Clear (removes) all attributes handled by the modules of this component.

Rules are not reset.

## ◆ getName()

virtual OFString IODCommonInstanceReferenceModule::StudiesOtherInstancesItem::getName | ( |  | ) | const
| virtual

Get name of module ("StudiesContainingOtherReferencedInstancesSequence")

Returns
  Name of the module ("StudiesContainingOtherReferencedInstancesSequence")

Implements IODComponent.

## ◆ getReferencedSeriesAndInstanceReferences()

virtual IODSeriesAndInstanceReferenceMacro & IODCommonInstanceReferenceModule::StudiesOtherInstancesItem::getReferencedSeriesAndInstanceReferences | ( |  | ) |
| virtual

Get Series And Instance Reference Macro.

Returns
  Reference to the Series And Instance Reference Macro structure

## ◆ getStudyInstanceUID()

virtual OFCondition IODCommonInstanceReferenceModule::StudiesOtherInstancesItem::getStudyInstanceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Study Instance UID.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ read()

virtual OFCondition IODCommonInstanceReferenceModule::StudiesOtherInstancesItem::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )
| virtual

Read data from source item into this module.

Parameters

  source | The item to read from
  clearOldData | If OFTrue, old data is cleared first, otherwise it is overwritten/amended

Returns
  EC_Normal if successful, error otherwise

Reimplemented from IODComponent.

## ◆ setStudyInstanceUID()

virtual OFCondition IODCommonInstanceReferenceModule::StudiesOtherInstancesItem::setStudyInstanceUID | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Study Instance UID.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (PN) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition IODCommonInstanceReferenceModule::StudiesOtherInstancesItem::write | ( | DcmItem & | destination | ) |
| virtual

Write this module's data into given destination item.

Parameters

  destination | Item to write to

Returns
  EC_Normal if successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modcommoninstanceref.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2